




# Load data
loadData <- function(metaData) {
  data <- read.csv(metaData['file'])
  return(data)
}





# Combine processed data into master dataframe
combineMaster <- function(master, data) {
  # Add data to master dataframe
  data$age <- round(data$age)
  master <- merge(master, data, by='age',all=TRUE)
  
  return(master)
}





# Clean master data set
cleanMaster <- function(master) {
  # For each row in master dataframe
  for(i in c(1:length(master))){
    
    # Set leading NAs
    if(is.na(master[1,i])){
      master[1,i] = first(na.omit(master[,i]))
    }
    # Set following NAs
    if(is.na(master[length(master[,i]),i])){
      master[length(master[,i]),i] = last(na.omit(master[,i]))
    }
  }
  # Approximate missing NA data
  master <- as.data.frame(na.approx(master))
  
  # Return clean master dataframe
  return(master)
}


